petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSMonitorEnvelope

Monitors the maximum and minimum value of each component of the solution

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorEnvelope(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dctx)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| u | - current solution
| dctx | - the envelope context

### Options Database

-ts_monitor_envelope -

### Notes

after a solve you can use TSMonitorEnvelopeGetBounds() to access the envelope

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorEnvelopeGetBounds(), TSMonitorEnvelopeCtxCreate()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages